Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5116)
@@ -4,5 +4,5 @@
 CONTAINS
   SUBROUTINE scm
-    USE ioipsl, only: ju2ymds, ymds2ju, ioconf_calendar, getin
+    USE ioipsl, ONLY: ju2ymds, ymds2ju, ioconf_calendar, getin
     USE phys_state_var_mod, ONLY: phys_state_var_init, phys_state_var_end, &
             clwcon, detr_therm, &
@@ -65,13 +65,13 @@
 
     integer, parameter :: ngrid = 1
-    real :: zcufi = 1.
-    real :: zcvfi = 1.
-    real :: fnday
-    real :: day, daytime
-    real :: day1
-    real :: heure
-    integer :: jour
-    integer :: mois
-    integer :: an
+    REAL :: zcufi = 1.
+    REAL :: zcvfi = 1.
+    REAL :: fnday
+    REAL :: day, daytime
+    REAL :: day1
+    REAL :: heure
+    INTEGER :: jour
+    INTEGER :: mois
+    INTEGER :: an
 
     !---------------------------------------------------------------------
@@ -79,5 +79,5 @@
     !---------------------------------------------------------------------
 
-    integer :: kmax = llm
+    INTEGER :: kmax = llm
     integer llm700, nq1, nq2
     INTEGER, PARAMETER :: nlev_max = 1000, nqmx = 1000
@@ -90,5 +90,5 @@
     real  qprof(nlev_max, nqmx)
 
-    !        integer :: forcing_type
+    !        INTEGER :: forcing_type
     logical :: forcing_les = .FALSE.
     logical :: forcing_armcu = .FALSE.
@@ -125,20 +125,20 @@
     !  Declarations related to nudging
     !---------------------------------------------------------------------
-    integer :: nudge_max
+    INTEGER :: nudge_max
     parameter (nudge_max = 9)
-    integer :: inudge_RHT = 1
-    integer :: inudge_UV = 2
+    INTEGER :: inudge_RHT = 1
+    INTEGER :: inudge_UV = 2
     logical :: nudge(nudge_max)
-    real :: t_targ(llm)
-    real :: rh_targ(llm)
-    real :: u_targ(llm)
-    real :: v_targ(llm)
+    REAL :: t_targ(llm)
+    REAL :: rh_targ(llm)
+    REAL :: u_targ(llm)
+    REAL :: v_targ(llm)
 
     !---------------------------------------------------------------------
     !  Declarations related to vertical discretization:
     !---------------------------------------------------------------------
-    real :: pzero = 1.e5
-    real :: play (llm), zlay (llm), sig_s(llm), plev(llm + 1)
-    real :: playd(llm), zlayd(llm), ap_amma(llm + 1), bp_amma(llm + 1)
+    REAL :: pzero = 1.e5
+    REAL :: play (llm), zlay (llm), sig_s(llm), plev(llm + 1)
+    REAL :: playd(llm), zlayd(llm), ap_amma(llm + 1), bp_amma(llm + 1)
 
     !---------------------------------------------------------------------
@@ -146,20 +146,20 @@
     !---------------------------------------------------------------------
 
-    real :: phi(llm)
-    real :: teta(llm), tetal(llm), temp(llm), u(llm), v(llm), w(llm)
+    REAL :: phi(llm)
+    REAL :: teta(llm), tetal(llm), temp(llm), u(llm), v(llm), w(llm)
     REAL rot(1, llm) ! relative vorticity, in s-1
-    real :: rlat_rad(1), rlon_rad(1)
-    real :: omega(llm), omega2(llm), rho(llm + 1)
-    real :: ug(llm), vg(llm), fcoriolis
-    real :: sfdt, cfdt
-    real :: du_phys(llm), dv_phys(llm), dt_phys(llm)
-    real :: w_adv(llm), z_adv(llm)
-    real :: d_t_vert_adv(llm), d_u_vert_adv(llm), d_v_vert_adv(llm)
-    real :: dt_cooling(llm), d_t_adv(llm), d_t_nudge(llm)
-    real :: d_u_nudge(llm), d_v_nudge(llm)
-    !      real :: d_u_adv(llm),d_v_adv(llm)
-    real :: d_u_age(llm), d_v_age(llm)
-    real :: alpha
-    real :: ttt
+    REAL :: rlat_rad(1), rlon_rad(1)
+    REAL :: omega(llm), omega2(llm), rho(llm + 1)
+    REAL :: ug(llm), vg(llm), fcoriolis
+    REAL :: sfdt, cfdt
+    REAL :: du_phys(llm), dv_phys(llm), dt_phys(llm)
+    REAL :: w_adv(llm), z_adv(llm)
+    REAL :: d_t_vert_adv(llm), d_u_vert_adv(llm), d_v_vert_adv(llm)
+    REAL :: dt_cooling(llm), d_t_adv(llm), d_t_nudge(llm)
+    REAL :: d_u_nudge(llm), d_v_nudge(llm)
+    !      REAL :: d_u_adv(llm),d_v_adv(llm)
+    REAL :: d_u_age(llm), d_v_age(llm)
+    REAL :: alpha
+    REAL :: ttt
 
     REAL, ALLOCATABLE, DIMENSION(:, :) :: q
@@ -173,8 +173,8 @@
     !  Initialization of surface variables
     !---------------------------------------------------------------------
-    real :: run_off_lic_0(1)
-    real :: fder(1), snsrf(1, nbsrf), qsurfsrf(1, nbsrf)
-    real :: tsoil(1, nsoilmx, nbsrf)
-    !     real :: agesno(1,nbsrf)
+    REAL :: run_off_lic_0(1)
+    REAL :: fder(1), snsrf(1, nbsrf), qsurfsrf(1, nbsrf)
+    REAL :: tsoil(1, nsoilmx, nbsrf)
+    !     REAL :: agesno(1,nbsrf)
 
     !---------------------------------------------------------------------
@@ -182,6 +182,6 @@
     !---------------------------------------------------------------------
     logical :: ok_writedem = .TRUE.
-    real :: sollw_in = 0.
-    real :: solsw_in = 0.
+    REAL :: sollw_in = 0.
+    REAL :: solsw_in = 0.
 
     !---------------------------------------------------------------------
@@ -190,6 +190,6 @@
     logical :: firstcall = .TRUE.
     logical :: lastcall = .FALSE.
-    real :: phis(1) = 0.0
-    real :: dpsrf(1)
+    REAL :: phis(1) = 0.0
+    REAL :: dpsrf(1)
 
     !---------------------------------------------------------------------
@@ -210,10 +210,10 @@
     !  Fichiers et d'autres variables
     !---------------------------------------------------------------------
-    integer :: k, l, i, it = 1, mxcalc
-    integer :: nsrf
+    INTEGER :: k, l, i, it = 1, mxcalc
+    INTEGER :: nsrf
     integer jcode
     INTEGER read_climoz
 
-    integer :: it_end ! iteration number of the last call
+    INTEGER :: it_end ! iteration number of the last call
     !Al1,plev,play,phi,phis,presnivs,
     integer ecrit_slab_oc !1=ecrit,-1=lit,0=no file
@@ -263,5 +263,5 @@
     ! --------------------------------------------------------------------
     close(1)
-    write(*, *) 'lmdz1d.def lu => unicol.def'
+    WRITE(*, *) 'lmdz1d.def lu => unicol.def'
 
     forcing_SCM = .TRUE.
@@ -315,17 +315,17 @@
 
     !      calend = 'earth_365d'
-    if (calend == 'earth_360d') then
+    if (calend == 'earth_360d') THEN
       CALL ioconf_calendar('360_day')
-      write(*, *)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
-    else if (calend == 'earth_365d') then
+      WRITE(*, *)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
+    else if (calend == 'earth_365d') THEN
       CALL ioconf_calendar('noleap')
-      write(*, *)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
-    else if (calend == 'earth_366d') then
+      WRITE(*, *)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
+    else if (calend == 'earth_366d') THEN
       CALL ioconf_calendar('all_leap')
-      write(*, *)'CALENDRIER CHOISI: Terrestre bissextile'
-    else if (calend == 'gregorian') then
+      WRITE(*, *)'CALENDRIER CHOISI: Terrestre bissextile'
+    else if (calend == 'gregorian') THEN
       stop 'gregorian calend should not be used by normal user'
       CALL ioconf_calendar('gregorian') ! not to be used by normal users
-      write(*, *)'CALENDRIER CHOISI: Gregorien'
+      WRITE(*, *)'CALENDRIER CHOISI: Gregorien'
     else
       write (*, *) 'ERROR : unknown calendar ', calend
@@ -341,5 +341,5 @@
     !      La date complete est dans "daytime" (l'unite est le jour).
 
-    if (nday>0) then
+    if (nday>0) THEN
       fnday = nday
     else
@@ -404,5 +404,5 @@
     CALL phys_state_var_init(read_climoz)
 
-    if (ngrid/=klon) then
+    if (ngrid/=klon) THEN
       PRINT*, 'stop in inifis'
       PRINT*, 'Probleme de dimensions :'
@@ -458,8 +458,8 @@
     IF (forcing_type == 59) THEN
       ! pour forcing_sandu, on cherche l'indice le plus proche de 700hpa#3000m
-      write(*, *) '***********************'
+      WRITE(*, *) '***********************'
       do l = 1, llm
-        write(*, *) 'l,play(l),presnivs(l): ', l, play(l), presnivs(l)
-        if (trouve_700 .and. play(l)<=70000) then
+        WRITE(*, *) 'l,play(l),presnivs(l): ', l, play(l), presnivs(l)
+        if (trouve_700 .and. play(l)<=70000) THEN
           llm700 = l
           print *, 'llm700,play=', llm700, play(l) / 100.
@@ -467,5 +467,5 @@
         endif
       enddo
-      write(*, *) '***********************'
+      WRITE(*, *) '***********************'
     ENDIF
 
@@ -477,5 +477,5 @@
   PRINT*, 'A d_t_adv ', d_t_adv(1:20)*86400
 
-  if (forcing_GCM2SCM) then
+  if (forcing_GCM2SCM) THEN
   write (*, *) 'forcing_GCM2SCM not yet implemented'
   stop 'in initialization'
@@ -536,6 +536,5 @@
   ! On le met juste avant pour avoir acces a tous les champs
 
-  if (ok_writedem) then
-
+  if (ok_writedem) THEN
   !--------------------------------------------------------------------------
   ! pbl_surface_init (called here) and pbl_surface_final (called by phyredem)
@@ -575,20 +574,20 @@
   PRINT*, 'avant phyredem'
   pctsrf(1, :) = 0.
-  if (nat_surf==0.) then
+  if (nat_surf==0.) THEN
   pctsrf(1, is_oce) = 1.
   pctsrf(1, is_ter) = 0.
   pctsrf(1, is_lic) = 0.
   pctsrf(1, is_sic) = 0.
-  else if (nat_surf == 1) then
+  else if (nat_surf == 1) THEN
   pctsrf(1, is_oce) = 0.
   pctsrf(1, is_ter) = 1.
   pctsrf(1, is_lic) = 0.
   pctsrf(1, is_sic) = 0.
-  else if (nat_surf == 2) then
+  else if (nat_surf == 2) THEN
   pctsrf(1, is_oce) = 0.
   pctsrf(1, is_ter) = 0.
   pctsrf(1, is_lic) = 1.
   pctsrf(1, is_sic) = 0.
-  else if (nat_surf == 3) then
+  else if (nat_surf == 3) THEN
   pctsrf(1, is_oce) = 0.
   pctsrf(1, is_ter) = 0.
@@ -694,5 +693,5 @@
                 CALL getin('iflag_physiq', iflag_physiq)
 
-                if (.not.restart) then
+                if (.not.restart) THEN
         iflag_pbl = 5
         CALL phyredem ("startphy.nc")
@@ -736,5 +735,5 @@
                 CALL phys_state_var_end
                 !Al1
-                if (restart) then
+                if (restart) THEN
                 PRINT*, 'CALL to restart dyn 1d'
                 Call dyn1deta0("start1dyn.nc", plev, play, phi, phis,presnivs, &
@@ -765,7 +764,7 @@
                 endif
                 !======================  end restart =================================
-                IF (ecrit_slab_oc==1) then
+                IF (ecrit_slab_oc==1) THEN
         open(97, file = 'div_slab.dat', STATUS = 'UNKNOWN')
-                elseif (ecrit_slab_oc==0) then
+                elseif (ecrit_slab_oc==0) THEN
                 open(97, file = 'div_slab.dat', STATUS = 'OLD')
                 endif
@@ -783,5 +782,5 @@
                 do while(it<=it_end)
 
-                if (prt_level>=1) then
+                if (prt_level>=1) THEN
         PRINT*, 'XXXXXXXXXXXXXXXXXXX ITAP,day,time=', &
         it, day, time, it_end, day_step
@@ -843,17 +842,17 @@
                 ! Listing output for debug prt_level>=1
                 !---------------------------------------------------------------------
-                if (prt_level>=1) then
+                if (prt_level>=1) THEN
                 print *, ' avant physiq : -------- day time ', day, time
-                        write(*, *) 'firstcall,lastcall,phis', &
+                        WRITE(*, *) 'firstcall,lastcall,phis', &
                 firstcall, lastcall, phis
                 end if
-                        if (prt_level>=5) then
-                write(*, '(a10,2a4,4a13)') 'BEFOR1 IT=', 'it', 'l', &
+                        if (prt_level>=5) THEN
+                WRITE(*, '(a10,2a4,4a13)') 'BEFOR1 IT=', 'it', 'l', &
                 'presniv', 'plev','play', 'phi'
-                write(*, '(a10,2i4,4f13.2)') ('BEFOR1 IT= ', it, l, &
+                WRITE(*, '(a10,2i4,4f13.2)') ('BEFOR1 IT= ', it, l, &
                 presnivs(l), plev(l), play(l), phi(l), l = 1, llm)
-                        write(*, '(a11,2a4,a11,6a8)') 'BEFOR2', 'it', 'l', &
+                        WRITE(*, '(a11,2a4,a11,6a8)') 'BEFOR2', 'it', 'l', &
                         'presniv', 'u','v', 'temp', 'q1', 'q2', 'omega2'
-                        write(*, '(a11,2i4,f11.2,5f8.2,e10.2)') ('BEFOR2 IT= ', it, l, &
+                        WRITE(*, '(a11,2i4,f11.2,5f8.2,e10.2)') ('BEFOR2 IT= ', it, l, &
                 presnivs(l), u(l), v(l), temp(l), q(l, 1), q(l, 2), omega2(l), l = 1, llm)
                         endif
@@ -872,19 +871,19 @@
                         ! Listing output for debug
                         !---------------------------------------------------------------------
-                        if (prt_level>=5) then
-                        write(*, '(a11,2a4,4a13)') 'AFTER1 IT=', 'it', 'l', &
+                        if (prt_level>=5) THEN
+                        WRITE(*, '(a11,2a4,4a13)') 'AFTER1 IT=', 'it', 'l', &
                         'presniv', 'plev','play', 'phi'
-                        write(*, '(a11,2i4,4f13.2)') ('AFTER1 it= ', it, l, &
+                        WRITE(*, '(a11,2i4,4f13.2)') ('AFTER1 it= ', it, l, &
                 presnivs(l), plev(l), play(l), phi(l), l = 1, llm)
-                        write(*, '(a11,2a4,a11,6a8)') 'AFTER2', 'it', 'l', &
+                        WRITE(*, '(a11,2a4,a11,6a8)') 'AFTER2', 'it', 'l', &
                         'presniv', 'u','v', 'temp', 'q1', 'q2', 'omega2'
-                        write(*, '(a11,2i4,f11.2,5f8.2,e10.2)') ('AFTER2 it= ', it, l, &
+                        WRITE(*, '(a11,2i4,f11.2,5f8.2,e10.2)') ('AFTER2 it= ', it, l, &
                         presnivs(l), u(l), v(l), temp(l), q(l, 1), q(l, 2), omega2(l), l = 1, llm)
-                        write(*, '(a11,2a4,a11,5a8)') 'AFTER3', 'it', 'l', &
+                        WRITE(*, '(a11,2a4,a11,5a8)') 'AFTER3', 'it', 'l', &
         'presniv', 'du_phys','dv_phys', 'dt_phys', 'dq1', 'dq2'
-        write(*, '(a11,2i4,f11.2,5f8.2)') ('AFTER3 it= ', it, l, &
+        WRITE(*, '(a11,2i4,f11.2,5f8.2)') ('AFTER3 it= ', it, l, &
         presnivs(l), 86400*du_phys(l), 86400*dv_phys(l), &
         86400*dt_phys(l), 86400*dq(l, 1), dq(l, 2), l = 1, llm)
-                write(*, *) 'dpsrf', dpsrf
+                WRITE(*, *) 'dpsrf', dpsrf
                 endif
                 !---------------------------------------------------------------------
@@ -1018,5 +1017,5 @@
         +d_q_nudge(1:mxcalc, :))
 
-                if (prt_level>=3) then
+                if (prt_level>=3) THEN
                 print *, &
                 'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ', &
@@ -1073,5 +1072,5 @@
                 !   Air temperature :
                 !---------------------------------------------------------------------
-                if (lastcall) then
+                if (lastcall) THEN
                 PRINT*, 'Pas de temps final ', it
                 CALL ju2ymds(daytime, an, mois, jour, heure)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5116)
@@ -65,7 +65,7 @@
       ierr = nf90_open(fich_amma,nf90_nowrite,nid)
       PRINT*,'fich_amma,nf90_nowrite,nid ',fich_amma,nf90_nowrite,nid
-      if (ierr/=nf90_noerr) then
-         write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-         write(*,*) nf90_strerror(ierr)
+      if (ierr/=nf90_noerr) THEN
+         WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
+         WRITE(*,*) nf90_strerror(ierr)
          stop ""
       endif
@@ -196,6 +196,6 @@
 
        ierr=nf90_inq_varid(nid,"zz",var3didin(1))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'lev'
          endif
@@ -203,60 +203,60 @@
 
       ierr=nf90_inq_varid(nid,"temp",var3didin(2))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'temp'
          endif
 
       ierr=nf90_inq_varid(nid,"qv",var3didin(3))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
       ierr=nf90_inq_varid(nid,"u",var3didin(4))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
       ierr=nf90_inq_varid(nid,"v",var3didin(5))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
       ierr=nf90_inq_varid(nid,"dw",var3didin(6))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'dw'
          endif
 
       ierr=nf90_inq_varid(nid,"dt",var3didin(7))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'dt'
          endif
 
       ierr=nf90_inq_varid(nid,"dq",var3didin(8))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'dq'
          endif
       
       ierr=nf90_inq_varid(nid,"sens",var3didin(9))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'sens'
          endif
 
       ierr=nf90_inq_varid(nid,"flat",var3didin(10))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'flat'
          endif
 
       ierr=nf90_inq_varid(nid,"pp",var3didin(11))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
       endif
 
@@ -265,79 +265,79 @@
  
          ierr = nf90_get_var(nid,var3didin(1),zz)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture z ok',zz
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture z ok',zz
 
          ierr = nf90_get_var(nid,var3didin(2),temp)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture th ok',temp
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture th ok',temp
 
          ierr = nf90_get_var(nid,var3didin(3),qv)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture qv ok',qv
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture qv ok',qv
  
          ierr = nf90_get_var(nid,var3didin(4),u)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture u ok',u
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture u ok',u
 
          ierr = nf90_get_var(nid,var3didin(5),v)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture v ok',v
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture v ok',v
 
          ierr = nf90_get_var(nid,var3didin(6),dw)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture w ok',dw
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture w ok',dw
 
          ierr = nf90_get_var(nid,var3didin(7),dt)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dt ok',dt
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dt ok',dt
 
          ierr = nf90_get_var(nid,var3didin(8),dq)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dq ok',dq
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dq ok',dq
 
          ierr = nf90_get_var(nid,var3didin(9),sens)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture sens ok',sens
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture sens ok',sens
 
          ierr = nf90_get_var(nid,var3didin(10),flat)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture flat ok',flat
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture flat ok',flat
 
          ierr = nf90_get_var(nid,var3didin(11),pp)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture pp ok',pp
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture pp ok',pp
 
 
@@ -381,17 +381,17 @@
 
 
-        if (forcing_type==6) then
+        if (forcing_type==6) THEN
 ! Check that initial day of the simulation consistent with AMMA case:
-       if (annee_ref/=2006) then
+       if (annee_ref/=2006) THEN
         PRINT*,'Pour AMMA, annee_ref doit etre 2006'
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref==2006 .and. day1<day_ini_amma) then
+       if (annee_ref==2006 .and. day1<day_ini_amma) THEN
         PRINT*,'AMMA a débuté le 10 juillet 2006',day1,day_ini_amma
         PRINT*,'Changer dayref dans run.def'
         stop
        endif
-       if (annee_ref==2006 .and. day1>day_ini_amma+1) then
+       if (annee_ref==2006 .and. day1>day_ini_amma+1) THEN
         PRINT*,'AMMA a fini le 11 juillet'
         PRINT*,'Changer dayref ou nday dans run.def'
@@ -402,5 +402,5 @@
 ! Determine timestep relative to the 1st day of AMMA:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) then
+!       if (annee_ref.eq.1992) THEN
 !        timeit=(day-day_ini_toga)*86400.
 !       else
@@ -424,6 +424,6 @@
        time_amma2=(it_amma2-1)*dt_amma
 
-       if (it_amma1 > nt_amma) then
-        write(*,*) 'PB-stop: day, it_amma1, it_amma2, timeit: '            &
+       if (it_amma1 > nt_amma) THEN
+        WRITE(*,*) 'PB-stop: day, it_amma1, it_amma2, timeit: '            &
           ,day,day_ini_amma,it_amma1,it_amma2,timeit/86400.
         stop
@@ -452,5 +452,5 @@
         enddo
 
-        return
+        RETURN
         END
 
